Skip to main content
GET
Flow Data

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

An option contract in the OSI format.

Example:

"TSLA230526P00167500"

Query Parameters

side
enum<string>
default:ALL

The side of a stock trade. Must be one of ASK, BID, MID. If not set, will return all side's trades.

Available options:
ALL,
ASK,
BID,
MID
Example:

"ASK"

min_premium
integer
default:0

The minimum premium requested trades should have.

Required range: x >= 0
Example:

50000

limit
integer

How many items to return. If no limit is given, returns all matching data. Min: 1.

Required range: x >= 1
Example:

10

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

ask_vol
integer

The amount of volume that happened on the ask side.

Ask side is defined as (ask + bid) / 2 < fill price.

Example:

119403

bid_vol
integer

The amount of volume that happened on the bid side.

Bid side is defined as (ask + bid) / 2 > fill price.

Example:

122789

canceled
boolean

Whether the option trade was canceled.

Example:

false

delta
string

The delta of the option trade.

Example:

"0.610546281537814"

er_time
enum<string>

The time when the earnings will be released.

Available options:
unknown,
afterhours,
premarket
Example:

"premarket"

ewma_nbbo_ask
string

The exponentially weighted moving average of the National Best Bid and Offer ask side.

Example:

"21.60"

ewma_nbbo_bid
string

The exponentially weighted moving average of the National Best Bid and Offer bid side.

Example:

"21.45"

exchange
string

The exchange the option trade was executed on.

Example:

"MXOP"

executed_at
string<date-time>

The option trade execution time as an ISO 8601 UTC timestamp. The WebSocket option_trades channel represents this field as Unix epoch milliseconds instead.

Example:

"2024-08-21T13:50:52.278Z"

expiry
string

The contract expiry date in ISO format.

Example:

"2023-12-22T00:00:00.000Z"

flow_alert_id
string

The flow alert ID of the option trade.

If the flow alert ID is null, it means that there is no flow alert associated with the option trade.

full_name
string

Full name of the ticker.

Example:

"APPLE"

gamma
string

The gamma of the option trade.

Example:

"0.00775013889662635"

id
string

The ID of the option trade.

Example:

"8ef90a2d-d881-41de-98c9-c1de4318dcb5"

implied_volatility
string

The implied volatility of the option trade.

Example:

"0.604347250962543"

industry_type
string

The industry type of the ticker.

Example:

"Semiconductors"

is_agg
boolean

Whether this response item combines related option transactions executed at the same time into a single transaction.

Example:

true

issue_type
string | null
Example:

"Common Stock"

marketcap
string

The marketcap of the underlying ticker. If the issue type of the ticker is ETF then the marketcap represents the AUM.

Example:

"2965813810400"

mid_vol
integer

The amount of volume that happened in the middle of the ask and bid.

Mid is defined as (ask + bid) / 2 == fill price.

Example:

22707

multi_vol
integer

The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more.

Example:

7486

nbbo_ask
string

The National Best Bid and Offer (NBBO) ask price.

Example:

"0.03"

nbbo_ask_size
integer<int64> | null

The quoted size in contracts at the NBBO ask price. null when quote metadata is unavailable.

Example:

24

nbbo_ask_time
string<date-time> | null

The last update time for the NBBO ask quote as an ISO 8601 UTC timestamp. null when quote metadata is unavailable. The WebSocket option_trades channel represents this field as Unix epoch milliseconds instead.

Example:

"2024-08-21T13:50:52.274Z"

nbbo_bid
string

The National Best Bid and Offer (NBBO) bid price.

Example:

"0.03"

nbbo_bid_size
integer<int64> | null

The quoted size in contracts at the NBBO bid price. null when quote metadata is unavailable.

Example:

17

nbbo_bid_time
string<date-time> | null

The last update time for the NBBO bid quote as an ISO 8601 UTC timestamp. null when quote metadata is unavailable. The WebSocket option_trades channel represents this field as Unix epoch milliseconds instead.

Example:

"2024-08-21T13:50:52.271Z"

next_earnings_date
string<date>

The next earnings date of the ticker. Null if either unknown as of now or if the ticker does not have any earnings such as an ETF

Example:

"2023-10-26T00:00:00.000Z"

no_side_vol
integer

The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions.

Example:

0

open_interest
integer

The open interest for the contract.

Example:

18680

option_chain_id
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

option_type
enum<string>

The option type of the contract.

Available options:
call,
put
Example:

"call"

premium
string

The premium of the option trade.

Example:

"2150.00"

price
string

The fill price of the option trade.

Example:

"21.50"

report_flags
string[]

The report flags of the option trade.

Example:

"cross_trade"

rho
string

The rho of the option trade.

Example:

"0.2316546330093438"

rule_id
string

The rule ID of the option trade that represents the rule that made up the flow alert

sector
enum<string>

The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

size
integer

The size of the option trade.

Example:

1

stock_multi_vol
integer

The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more.

Example:

52

strike
string

The contract strike.

Example:

"375"

tags
string[]

Tags related to the institution.

Example:
theo
string

The theoretical price of the option trade.

Example:

"21.49999999999999"

theta
string

The theta of the option trade.

Example:

"-0.0640155364004474"

trade_ids
string<uuid>[]

The component trade IDs for an aggregated trade.

underlying_price
string

The price of the underlying asset.

Example:

"128.16"

underlying_symbol
string

The underlying symbol of the contract.

Example:

"AAPL"

upstream_condition_detail
string

The upstream condition detail/trade code of the option trade.

Example:

"auto"

vega
string

The vega of the option trade.

Example:

"0.3140468475903719"

volume
integer

The amount of contracts traded till this point.

Example:

33

Last modified on September 29, 2026